Pymakr to be used under openSuse


  • Pybytes Beta

    I'm using Suse since 20 years and don't like to switch.
    Currently only installation packages offered only for Debian or RedHat. Red Hat is using RPM packages which are generally useable for openSuse as well. So I tried to use the RPM
    pymakr-1.0.0.b6-1.noarch-1.rpm
    Unfortunately the is a prerequisite missing
    "nothing provides pyserial needed by pymakr-1.0.0.b6-1.noarch"
    I installed manually python-pyserial but this doesn't help.
    I hope someone has ideas how to solve this to get Pymakr running with openSuse.
    Thanks.


  • Pybytes Beta

    I tried to install the missing things manually, see what happens when calling
    $ pymakr
    Python 2.7.12
    libpng warning: iCCP: known incorrect sRGB profile
    Warning: translation file 'eric6_de_DE'could not be loaded.
    Using default.
    BackgroundService listening on: 36250
    Traceback (most recent call last):
    File "/usr/share/pymakr/modules/Utilities/BackgroundClient.py", line 193, in <module>
    backgroundClient.run()
    File "/usr/share/pymakr/modules/Utilities/BackgroundClient.py", line 178, in run
    'EXCEPTION', '?', [str(exctype), str(excval), tbinfo])
    File "/usr/share/pymakr/modules/Utilities/BackgroundClient.py", line 81, in __send
    self.connection.sendall(header)
    File "/usr/lib64/python2.7/socket.py", line 228, in meth
    return getattr(self._sock,name)(*args)
    socket.error: [Errno 32] Broken pipe


Log in to reply
 

Looks like your connection to Pycom Forum was lost, please wait while we try to reconnect.